Move Card
curl --request POST \
--url https://api.example.com/api/v1/cards/{card_id}/move \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"completeness": 123,
"completeness_justification": "<string>",
"conclusion": "<string>",
"drift": 123,
"drift_justification": "<string>",
"position": 123
}
'import requests
url = "https://api.example.com/api/v1/cards/{card_id}/move"
payload = {
"completeness": 123,
"completeness_justification": "<string>",
"conclusion": "<string>",
"drift": 123,
"drift_justification": "<string>",
"position": 123
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
completeness: 123,
completeness_justification: '<string>',
conclusion: '<string>',
drift: 123,
drift_justification: '<string>',
position: 123
})
};
fetch('https://api.example.com/api/v1/cards/{card_id}/move', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"assignee_id": "<string>",
"board_id": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"created_by": "<string>",
"description": "<string>",
"details": "<string>",
"due_date": "2023-11-07T05:31:56Z",
"id": "<string>",
"labels": [
"<string>"
],
"position": 123,
"priority": "critical",
"status": "not_started",
"title": "<string>",
"updated_at": "2023-11-07T05:31:56Z",
"action_plan": "<string>",
"architecture_designs": [],
"archived": false,
"attachments": [],
"card_type": "normal",
"comments": [],
"conclusions": [
{
"author_id": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"text": "<string>",
"completeness": 100,
"completeness_justification": "",
"drift": 0,
"drift_justification": ""
}
],
"expected_behavior": "<string>",
"knowledge_bases": [
{}
],
"linked_test_task_ids": [
"<string>"
],
"observed_behavior": "<string>",
"origin_task_id": "<string>",
"pre_archive_status": "<string>",
"qa_items": [],
"screen_mockups": [
{
"id": "<string>",
"title": "<string>",
"annotations": [
{
"id": "<string>",
"text": "<string>",
"author_id": "<string>"
}
],
"description": "<string>",
"html_content": "",
"order": 0,
"screen_type": "page"
}
],
"severity": "<string>",
"spec_id": "<string>",
"sprint_id": "<string>",
"steps_to_reproduce": "<string>",
"test_scenario_ids": [
"<string>"
],
"validations": [
{}
]
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"ctx": {},
"input": "<unknown>"
}
]
}cards
Move Card
Move a card to a different column/position.
POST
/
api
/
v1
/
cards
/
{card_id}
/
move
Move Card
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Body
application/json
Schema for moving a card between columns.
Card status enum matching Kanban columns.
Available options:
not_started, started, in_progress, validation, on_hold, done, cancelled Response
Successful Response
Schema for card response.
Card priority levels.
Available options:
critical, very_high, high, medium, low, none Card status enum matching Kanban columns.
Available options:
not_started, started, in_progress, validation, on_hold, done, cancelled Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Last modified on May 17, 2026